You don't need the whole library (he probably won't agree to that), you only need the parts that you have used to be dual-licensed. That is more likely to work.